textures/winterassault/icicles
{
	qer_editor_image textures/winterassault/icicles.tga
	cull disable
	surfaceParm nolightmap
	surfaceParm noimpact
	surfaceParm nonsolid

               
	{
		map textures/winterassault/icicles.tga
		alphaFunc GE128
	}
}

textures/winterassault/bushsnow1
{
	qer_editor_image textures/winterassault/bushsnow1.tga
	cull disable
	surfaceParm nolightmap
	surfaceParm noimpact
	surfaceParm nonsolid

	{
		map textures/winterassault/bushsnow1.tga
		alphaFunc GE128
	}
}

textures/winterassault/bushsnow2
{
	qer_editor_image textures/winterassault/bushsnow2.tga
	cull disable
	surfaceParm nolightmap
	surfaceParm noimpact
	surfaceParm nonsolid

	{
		map textures/winterassault/bushsnow2.tga
		alphaFunc GE128
	}
}

textures/winterassault/treewall
{
	qer_editor_image textures/winterassault/treewall.tga
	cull disable
	surfaceParm nolightmap
	surfaceParm noimpact
	surfaceParm nonsolid

	{
		map textures/winterassault/treewall.tga
		alphaFunc GE128
	}
}

textures/winterassault/snowrock_ground
{
	q3map_nonplanar
	q3map_shadeangle 120
        qer_editorimage textures/winterassault/snowrock_img.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/winterassault/snowrock_img.tga
		blendFunc filter
	}
}

textures/winterassault/fieldstone_ground
{
	q3map_nonplanar 
	q3map_shadeAngle 179
        qer_editorimage textures/winterassault/fieldstone_img.jpeg
	{
		map textures/winterassault/fieldstone_img.jpeg
		rgbGen identity
	}

	{ 
		map $lightmap 
		blendFunc GL_DST_COLOR GL_ZERO 
	} 
}

textures/winterassault/windowsnow
{
qer_editorimage textures/winterassault/windowsnow.tga
cull none
	{
	map textures/effects/tinfx.tga
	blendFunc GL_ONE GL_ONE
	tcgen environment
	}
	{
	map textures/winterassault/windowsnow.tga
	alphaFunc GE128
	}
	
	{
	map $lightmap rgbGen identity blendFunc filter
	}
}

textures/winterassault/bush
{
        qer_editorimage textures/winterassault/w2k_bush1.tga
    	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
   	surfaceparm nonsolid
	cull none
        nopicmip
	{
		map textures/winterassault/w2k_bush1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/winterassault/flurolight
{
	qer_editorimage textures/winterassault/light.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	q3map_surfacelight 10000
	//light 1

	// New Fluorescent light
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/winterassault/light.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/winterassault/lightblend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/winterassault/flurolight5000
{
	qer_editorimage textures/winterassault/light.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	q3map_surfacelight 5000
	//light 1

	// New Fluorescent light
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/winterassault/light.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/winterassault/lightblend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/winterassault/pepsi_front
{
        qer_editorimage textures/winterassault/object003b_front.tga
        q3map_surfacelight 200
	q3map_lightrgb 0 0 1
	{	
		map textures/winterassault/object003b_front.tga
	}
}

textures/winterassault/pepsi_side
{
        qer_editorimage textures/winterassault/object003b_side.tga
        q3map_surfacelight 200
	q3map_lightrgb 0 0 1
	{	
		map textures/winterassault/object003b_side.tga
	}
}

textures/winterassault/pepsi_top
{
        qer_editorimage textures/winterassault/object003_side.tga
        q3map_surfacelight 200
	q3map_lightrgb 0 0 1
	{	
		map textures/winterassault/object003_side.tga
	}
}


textures/winterassault/snow_phong_ground
{
	q3map_nonplanar
	q3map_shadeangle 60
        q3map_lightmapsampleoffset 8
        qer_editorimage textures/winterassault/snow_phong_img.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/winterassault/snow_phong_img.tga
		blendFunc filter
	}
}

//sky based on eaglesky shader
textures/winterassault/sky
{
	qer_editorimage textures/eagle/sky1.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	//q3map_sun .5 .37 .19 60 225 55
	q3map_surfacelight 300
        skyparms env/winterassault_sky/winter - -
}